/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_11_0
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object BaselineButtonTokens {
    val ContainerColor = ColorSchemeKeyTokens.Primary
    val ContainerElevation = ElevationTokens.Level0
    val ContainerHeight = 40.0.dp
    val ContainerShapeRound = ShapeKeyTokens.CornerFull
    val ContainerShapeSquare = ShapeKeyTokens.CornerMedium
    val DisabledContainerColor = ColorSchemeKeyTokens.OnSurface
    val DisabledContainerElevation = ElevationTokens.Level0
    val DisabledContainerOpacity = 0.1f
    val DisabledIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val DisabledIconOpacity = 0.38f
    val DisabledLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val DisabledLabelTextOpacity = 0.38f
    val FocusedContainerElevation = ElevationTokens.Level0
    val FocusedIconColor = ColorSchemeKeyTokens.OnPrimary
    val FocusedLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val HoveredContainerElevation = ElevationTokens.Level1
    val HoveredIconColor = ColorSchemeKeyTokens.OnPrimary
    val HoveredLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val IconColor = ColorSchemeKeyTokens.OnPrimary
    val IconLabelSpace = 8.0.dp
    val IconSize = 20.0.dp
    val LabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val LabelTextSelectedColor = ColorSchemeKeyTokens.OnPrimary
    val LabelTextUnselectedColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val LeadingSpace = 24.0.dp
    val PressedContainerElevation = ElevationTokens.Level0
    val PressedContainerShape = ShapeKeyTokens.CornerSmall
    val PressedIconColor = ColorSchemeKeyTokens.OnPrimary
    val PressedLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedContainerColor = ColorSchemeKeyTokens.Primary
    val SelectedContainerShapeRound = ShapeKeyTokens.CornerFull
    val SelectedContainerShapeSquare = ShapeKeyTokens.CornerMedium
    val SelectedFocusedIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedFocusedLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedHoveredIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedHoveredLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedPressedIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val TrailingSpace = 24.0.dp
    val UnselectedContainerColor = ColorSchemeKeyTokens.SurfaceContainer
    val UnselectedFocusedIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoveredIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoveredLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
}
