/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_103
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.sp

internal object TypeScaleTokens {
    val BodyLargeFont = TypefaceTokens.Plain
    val BodyLargeLineHeight = 24.0.sp
    val BodyLargeSize = 16.sp
    val BodyLargeTracking = 0.5.sp
    val BodyLargeWeight = TypefaceTokens.WeightRegular
    val BodyMediumFont = TypefaceTokens.Plain
    val BodyMediumLineHeight = 20.0.sp
    val BodyMediumSize = 14.sp
    val BodyMediumTracking = 0.2.sp
    val BodyMediumWeight = TypefaceTokens.WeightRegular
    val BodySmallFont = TypefaceTokens.Plain
    val BodySmallLineHeight = 16.0.sp
    val BodySmallSize = 12.sp
    val BodySmallTracking = 0.4.sp
    val BodySmallWeight = TypefaceTokens.WeightRegular
    val DisplayLargeFont = TypefaceTokens.Brand
    val DisplayLargeLineHeight = 64.0.sp
    val DisplayLargeSize = 57.sp
    val DisplayLargeTracking = -0.2.sp
    val DisplayLargeWeight = TypefaceTokens.WeightRegular
    val DisplayMediumFont = TypefaceTokens.Brand
    val DisplayMediumLineHeight = 52.0.sp
    val DisplayMediumSize = 45.sp
    val DisplayMediumTracking = 0.0.sp
    val DisplayMediumWeight = TypefaceTokens.WeightRegular
    val DisplaySmallFont = TypefaceTokens.Brand
    val DisplaySmallLineHeight = 44.0.sp
    val DisplaySmallSize = 36.sp
    val DisplaySmallTracking = 0.0.sp
    val DisplaySmallWeight = TypefaceTokens.WeightRegular
    val HeadlineLargeFont = TypefaceTokens.Brand
    val HeadlineLargeLineHeight = 40.0.sp
    val HeadlineLargeSize = 32.sp
    val HeadlineLargeTracking = 0.0.sp
    val HeadlineLargeWeight = TypefaceTokens.WeightRegular
    val HeadlineMediumFont = TypefaceTokens.Brand
    val HeadlineMediumLineHeight = 36.0.sp
    val HeadlineMediumSize = 28.sp
    val HeadlineMediumTracking = 0.0.sp
    val HeadlineMediumWeight = TypefaceTokens.WeightRegular
    val HeadlineSmallFont = TypefaceTokens.Brand
    val HeadlineSmallLineHeight = 32.0.sp
    val HeadlineSmallSize = 24.sp
    val HeadlineSmallTracking = 0.0.sp
    val HeadlineSmallWeight = TypefaceTokens.WeightRegular
    val LabelLargeFont = TypefaceTokens.Plain
    val LabelLargeLineHeight = 20.0.sp
    val LabelLargeSize = 14.sp
    val LabelLargeTracking = 0.1.sp
    val LabelLargeWeight = TypefaceTokens.WeightMedium
    val LabelMediumFont = TypefaceTokens.Plain
    val LabelMediumLineHeight = 16.0.sp
    val LabelMediumSize = 12.sp
    val LabelMediumTracking = 0.5.sp
    val LabelMediumWeight = TypefaceTokens.WeightMedium
    val LabelSmallFont = TypefaceTokens.Plain
    val LabelSmallLineHeight = 16.0.sp
    val LabelSmallSize = 11.sp
    val LabelSmallTracking = 0.5.sp
    val LabelSmallWeight = TypefaceTokens.WeightMedium
    val TitleLargeFont = TypefaceTokens.Brand
    val TitleLargeLineHeight = 28.0.sp
    val TitleLargeSize = 22.sp
    val TitleLargeTracking = 0.0.sp
    val TitleLargeWeight = TypefaceTokens.WeightRegular
    val TitleMediumFont = TypefaceTokens.Plain
    val TitleMediumLineHeight = 24.0.sp
    val TitleMediumSize = 16.sp
    val TitleMediumTracking = 0.2.sp
    val TitleMediumWeight = TypefaceTokens.WeightMedium
    val TitleSmallFont = TypefaceTokens.Plain
    val TitleSmallLineHeight = 20.0.sp
    val TitleSmallSize = 14.sp
    val TitleSmallTracking = 0.1.sp
    val TitleSmallWeight = TypefaceTokens.WeightMedium
    // TODO update with the generated tokens once available
    val BodyLargeEmphasizedFont = TypefaceTokens.Plain
    val BodyLargeEmphasizedLineHeight = 24.0.sp
    val BodyLargeEmphasizedSize = 16.sp
    val BodyLargeEmphasizedTracking = 0.15.sp
    val BodyLargeEmphasizedWeight = TypefaceTokens.WeightMedium
    val BodyMediumEmphasizedFont = TypefaceTokens.Plain
    val BodyMediumEmphasizedLineHeight = 20.0.sp
    val BodyMediumEmphasizedSize = 14.sp
    val BodyMediumEmphasizedTracking = 0.25.sp
    val BodyMediumEmphasizedWeight = TypefaceTokens.WeightMedium
    val BodySmallEmphasizedFont = TypefaceTokens.Plain
    val BodySmallEmphasizedLineHeight = 16.0.sp
    val BodySmallEmphasizedSize = 12.sp
    val BodySmallEmphasizedTracking = 0.4.sp
    val BodySmallEmphasizedWeight = TypefaceTokens.WeightMedium
    val DisplayLargeEmphasizedFont = TypefaceTokens.Brand
    val DisplayLargeEmphasizedLineHeight = 64.0.sp
    val DisplayLargeEmphasizedSize = 57.sp
    val DisplayLargeEmphasizedTracking = 0.sp
    val DisplayLargeEmphasizedWeight = TypefaceTokens.WeightMedium
    val DisplayMediumEmphasizedFont = TypefaceTokens.Brand
    val DisplayMediumEmphasizedLineHeight = 52.0.sp
    val DisplayMediumEmphasizedSize = 45.sp
    val DisplayMediumEmphasizedTracking = 0.sp
    val DisplayMediumEmphasizedWeight = TypefaceTokens.WeightMedium
    val DisplaySmallEmphasizedFont = TypefaceTokens.Brand
    val DisplaySmallEmphasizedLineHeight = 44.0.sp
    val DisplaySmallEmphasizedSize = 36.sp
    val DisplaySmallEmphasizedTracking = 0.sp
    val DisplaySmallEmphasizedWeight = TypefaceTokens.WeightMedium
    val HeadlineLargeEmphasizedFont = TypefaceTokens.Brand
    val HeadlineLargeEmphasizedLineHeight = 40.0.sp
    val HeadlineLargeEmphasizedSize = 32.sp
    val HeadlineLargeEmphasizedTracking = 0.sp
    val HeadlineLargeEmphasizedWeight = TypefaceTokens.WeightMedium
    val HeadlineMediumEmphasizedFont = TypefaceTokens.Brand
    val HeadlineMediumEmphasizedLineHeight = 36.0.sp
    val HeadlineMediumEmphasizedSize = 28.sp
    val HeadlineMediumEmphasizedTracking = 0.sp
    val HeadlineMediumEmphasizedWeight = TypefaceTokens.WeightMedium
    val HeadlineSmallEmphasizedFont = TypefaceTokens.Brand
    val HeadlineSmallEmphasizedLineHeight = 32.0.sp
    val HeadlineSmallEmphasizedSize = 24.sp
    val HeadlineSmallEmphasizedTracking = 0.sp
    val HeadlineSmallEmphasizedWeight = TypefaceTokens.WeightMedium
    val LabelLargeEmphasizedFont = TypefaceTokens.Plain
    val LabelLargeEmphasizedLineHeight = 20.0.sp
    val LabelLargeEmphasizedSize = 14.sp
    val LabelLargeEmphasizedTracking = 0.1.sp
    val LabelLargeEmphasizedWeight = TypefaceTokens.WeightBold
    val LabelMediumEmphasizedFont = TypefaceTokens.Plain
    val LabelMediumEmphasizedLineHeight = 16.0.sp
    val LabelMediumEmphasizedSize = 12.sp
    val LabelMediumEmphasizedTracking = 0.5.sp
    val LabelMediumEmphasizedWeight = TypefaceTokens.WeightBold
    val LabelSmallEmphasizedFont = TypefaceTokens.Plain
    val LabelSmallEmphasizedLineHeight = 16.0.sp
    val LabelSmallEmphasizedSize = 11.sp
    val LabelSmallEmphasizedTracking = 0.5.sp
    val LabelSmallEmphasizedWeight = TypefaceTokens.WeightBold
    val TitleLargeEmphasizedFont = TypefaceTokens.Brand
    val TitleLargeEmphasizedLineHeight = 28.0.sp
    val TitleLargeEmphasizedSize = 22.sp
    val TitleLargeEmphasizedTracking = 0.sp
    val TitleLargeEmphasizedWeight = TypefaceTokens.WeightMedium
    val TitleMediumEmphasizedFont = TypefaceTokens.Plain
    val TitleMediumEmphasizedLineHeight = 24.0.sp
    val TitleMediumEmphasizedSize = 16.sp
    val TitleMediumEmphasizedTracking = 0.15.sp
    val TitleMediumEmphasizedWeight = TypefaceTokens.WeightBold
    val TitleSmallEmphasizedFont = TypefaceTokens.Plain
    val TitleSmallEmphasizedLineHeight = 20.0.sp
    val TitleSmallEmphasizedSize = 14.sp
    val TitleSmallEmphasizedTracking = 0.1.sp
    val TitleSmallEmphasizedWeight = TypefaceTokens.WeightBold
}
